summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorVanessa Rene Valderrama <vvalderrama@linuxfoundation.org>2018-03-26 15:58:05 +0000
committerGerrit Code Review <gerrit@fd.io>2018-03-26 15:58:05 +0000
commit6507f400237a817e4eaf735bdcff9a093e5eb764 (patch)
tree09e26ff9c505897e086f0c7dd437674d6ac33d9e
parentd853fd0120166646a83fe29d8b4a52119785a3a1 (diff)
parent68703e6059d1bbbc38a2e26acbd24468fa22e412 (diff)
Merge "CSIT-919: PAL-cpta"
-rw-r--r--jjb/csit/include-raw-csit-cpta.sh11
1 files changed, 5 insertions, 6 deletions
diff --git a/jjb/csit/include-raw-csit-cpta.sh b/jjb/csit/include-raw-csit-cpta.sh
index db37feb78..7775857b1 100644
--- a/jjb/csit/include-raw-csit-cpta.sh
+++ b/jjb/csit/include-raw-csit-cpta.sh
@@ -12,8 +12,7 @@ set -xe -o pipefail
cd ${DOC_DIR}
chmod +x ./run_cpta.sh
-./run_cpta.sh
-retval=$?
+STATUS=$(./run_cpta.sh | tail -1)
cd ${WORKSPACE}
@@ -53,8 +52,8 @@ ${MVN} site:site site:deploy -gs "${GLOBAL_SETTINGS_FILE}" -s "${SETTINGS_FILE}"
cd -
-
-if [ ${retval} -ne "0" ]; then
- echo "FAIL"
+if [ ${STATUS} == "PASS" ]; then
+ exit 0
+else
+ exit 1
fi
-exit ${retval} \ No newline at end of file